Search documentation of ash

# Ash.Context (ash v3.4.71)

View Source

Functions for working with the context provided to various callbacks in Ash.

# Summary

## Types

context_keyword_list()

## Functions

to_opts(map, opts \\ [])

Copies keys from the given context map into a keyword list. Does not copy the `:domain` key.

# Types

# context_keyword_list()

    @type context_keyword_list() :: [
      actor: Ash.Resource.t(),
      authorize?: boolean(),
      tracer: Ash.Tracer.t(),
      tenant: Ash.Resource.t()
    ]

# Functions

# to_opts(map, opts \\ [])

    @spec to_opts(map(), Keyword.t()) :: context_keyword_list()

Copies keys from the given context map into a keyword list. Does not copy the `:domain` key.

Keys copied:

- `:actor`
- `:authorize?`
- `:tracer`
- `:tenant`